net.sf.jasperreports.components.map

## Class MapElementHtmlHandler

- java.lang.Object
- - net.sf.jasperreports.components.map.MapElementHtmlHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementHtmlHandler

      public class MapElementHtmlHandler
      extends java.lang.Object
      implements GenericElementHtmlHandler

  Version:
    $Id:ChartThemesUtilities.java 2595 2009-02-10 17:56:51Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapElementHtmlHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHtmlFragment(JRHtmlExporterContext context, JRGenericPrintElement element)` Returns an HTML fragment that is to be inserted in the export output.
    `static MapElementHtmlHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapElementHtmlHandler

          public MapElementHtmlHandler()

  - ### Method Detail

    - #### getInstance

          public static MapElementHtmlHandler getInstance()

    - #### getHtmlFragment

          public java.lang.String getHtmlFragment(JRHtmlExporterContext context,
                                         JRGenericPrintElement element)

      Description copied from interface: `GenericElementHtmlHandler`
      Returns an HTML fragment that is to be inserted in the export output.
      Specified by:
        `getHtmlFragment` in interface `GenericElementHtmlHandler`
        `element` - the generic print element
      Returns:
        the HTML fragment that represents the exported element

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com